`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2020/05/28 21:57:37
// Design Name: 
// Module Name: top
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module top(
    input clk,
    input rst_n,
    output audio_mclk,
    output audio_lrck,
    output audio_sck,
    output audio_sdin
    );
    wire clk_1Hz;
    wire [21:0]note_div;
    wire [15:0]audio_in_left, audio_in_right;
    
    freq_div U0(
        .clk(clk),
        .rst_n(rst_n),
        .clk_1Hz(clk_1Hz)
    );

    counter U1(
        .clk(clk_1Hz),
        .rst_n(rst_n),
        .note_div(note_div)
    );

    buzzer_ctl U_buzzer(
        .clk(clk),
        .rst_n(rst_n),
        .note_div(note_div),
        .audio_left(audio_in_left),
        .audio_right(audio_in_right)
    );

    speaker_ctl U_speaker(
        .clk(clk),
        .rst_n(rst_n),
        .audio_left(audio_in_left),
        .audio_right(audio_in_right),
        .audio_mclk(audio_mclk),
        .audio_lrck(audio_lrck),
        .audio_sck(audio_sck),
        .audio_sdin(audio_sdin)
    );

endmodule
